Coordinate (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.shared

## Class Coordinate

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.shared.Coordinate

- All Implemented Interfaces:
    Serializable

      public class Coordinate
      extends Object
      implements Serializable

  Author:
    "Federico De Faveri defaveri@isti.cnr.it"
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected float` | `latitude`
    `protected float` | `longitude`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Coordinate()`
    `Coordinate(float latitude, float longitude)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getLatitude()`
    `float` | `getLongitude()`
    `void` | `setLatitude(float latitude)`
    `void` | `setLongitude(float longitude)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### latitude

          protected float latitude

    - #### longitude

          protected float longitude

  - ### Constructor Detail

    - #### Coordinate

          public Coordinate()

    - #### Coordinate

          public Coordinate(float latitude,
                    float longitude)

      Parameters:
        `latitude` -
        `longitude` -

  - ### Method Detail

    - #### getLatitude

          public float getLatitude()

      Returns:
        the latitude

    - #### setLatitude

          public void setLatitude(float latitude)

      Parameters:
        `latitude` - the latitude to set

    - #### getLongitude

          public float getLongitude()

      Returns:
        the longitude

    - #### setLongitude

          public void setLongitude(float longitude)

      Parameters:
        `longitude` - the longitude to set

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013. All Rights Reserved.